# $Id: alterator-bootloader.spec,v 1.9 2005/10/12 12:08:58 zerg Exp $

%define module bootloader
%define _altdata_dir %_datadir/alterator
%define _altlib_dir %_libdir/alterator

Name: 	alterator-%module
Version: 0.0.3
Release: alt2

Group: System/Configuration/Other
Summary: Alterator module for setting up boot loader
License: GPL

Requires: alterator >= 1.99-alt41
Requires: alterator-backend-%module = %version-%release
Requires: lilo

Source: %name-%version.tar.bz2
# Automatically added by buildreq on Thu Sep 29 2005 (-bi)
#BuildRequires: alterator consolehelper gcc-c++ libpam-devel libstdc++-devel
BuildRequires: alterator consolehelper gcc-c++ libpam0-devel libstdc++-devel

%description
Alterator module for setting up boot loader

%package -n alterator-backend-%module
Summary: Alterator backend for setting up boot loader
License: GPL
Group: System/Configuration/Other
Requires: alterator-common

%description -n alterator-backend-%module
Alterator backend for setting up boot loader


%prep
%setup -q

%build
pushd backend
%make OPTFLAGS="%optflags"
popd

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

# menu
%__mkdir_p %buildroot/%_menudir
cat >%buildroot/%_menudir/%name <<__EOF__
?package(alterator): \
    needs="x11" \
    command="config-%module" \
    title="Boot Loader" \
    section="Configuration/ALT Linux" \
    icon="boot_init_section.png" \
    longtitle="Alterator module to setup boot loader" \
    extra_filename="alterator_%module"
__EOF__

# consolehelper
%__mkdir_p %buildroot/%_sysconfdir/{pam.d,security/console.apps}
%__install -m 0644 pam %buildroot/%_sysconfdir/pam.d/config-%module
%__install -m 0644 consolehelper %buildroot/%_sysconfdir/security/console.apps/config-%module

%__mkdir_p %buildroot/{%_sbindir,%_bindir}
%__install -m 0755 standalone %buildroot/%_sbindir/config-%module
%__ln_s  %_libdir/helper/consolehelper %buildroot/%_bindir/config-%module

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%config %_sysconfdir/pam.d/config-%module
%config %_sysconfdir/security/console.apps/config-%module
%_sbindir/config-%module
%_bindir/config-%module
%_altdata_dir/*/*
%_menudir/%name

%files -n alterator-backend-%module
%_altlib_dir/backend/*


%changelog
* Wed Oct 12 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.3-alt2
- fix vga current value in UI; make vgas hexedecimal

* Tue Oct 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.3-alt1
- generate lilo.conf if empty

* Fri Sep 30 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.2-alt1
- fix save /etc/lilo.conf on test
- add defaults "bios" option editing

* Thu Sep 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.1-alt2
- fix BuildRequires

* Thu Sep 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.1-alt1
- fix set default image
- add Russian translation

* Tue Sep 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.1-alt0.1
- initial specfile
